% Define and configure the Beamer theme to use.
\usetheme{metropolis}
\metroset{sectionpage = none, progressbar = frametitle}

% Use Fira fonts.
\setsansfont[BoldFont={Fira Sans SemiBold}]{Fira Sans Book}

% Customize the contents of the title page.
\setbeamertemplate{title page}{
  \begin{minipage}[b][\paperheight]{\textwidth}
    \ifx\inserttitlegraphic\@empty\else
      \usebeamertemplate*{title graphic}\fi
    \vspace*{12mm}\vfill
    \ifx\inserttitle\@empty\else\usebeamertemplate*{title}\fi
    \ifx\insertsubtitle\@empty\else
      \usebeamertemplate*{subtitle}\fi
    \usebeamertemplate*{title separator}
    \ifx\beamer@shortauthor\@empty\else
      \usebeamertemplate*{author}\fi
    \ifx\insertdate\@empty\else\usebeamertemplate*{date}\fi
    \ifx\insertinstitute\@empty\else
      \usebeamertemplate*{institute}\fi
    \vfill
    \vspace*{1mm}
  \end{minipage}
}

% Customize font sizes, caption and bibliography item formats.
\setbeamerfont{title}{size = \Large}
\setbeamerfont{subtitle}{size = \normalsize}
\setbeamerfont{date}{size = \footnotesize}
\setbeamerfont{footnote}{size = \tiny}
\setbeamertemplate{caption}{\raggedright\insertcaption\par}
\captionsetup[figure]{labelformat = empty}
\setbeamertemplate{bibliography item}{\insertbiblabel}

% Show Inria, Airbus and Région Nouvelle-Aquitaine logos on the title page.
\titlegraphic{
  \includegraphics[width = 1\textwidth]{./figures/beamer-header.pdf}
}
